package cd.casic.ci.common.pipeline.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo
 * @Project：ops-pro
 * @name：StoreInitPipelineResp
 * @Date：2025/03/25 16:38
 * @Filename：StoreInitPipelineResp
 * @description：Todo
 */
@Data
@Schema(title = "研发商店初始化流水线报文响应体")
public class StoreInitPipelineResp {
    @Schema(title = "流水线ID", required = true)
    private String pipelineId;
    @Schema(title = "构建ID", required = false)
    private String buildId;
}
