package cd.casic.ci.common.pipeline.pojo.agent;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.type.agent
 * @Project：ops-pro
 * @name：AgentType
 * @Date：2025/03/27 10:47
 * @Filename：AgentType
 * @description：Todo
 */
@Getter
@AllArgsConstructor
public enum AgentType {
    ID, // This is only for old pipeline, new pipelines will use name
    NAME,
    REUSE_JOB_ID; // 是否复用其他job的Agent节点

    public boolean isReuse() {
        return this == REUSE_JOB_ID;
    }
}
