package cd.casic.pipeline.dispatch.constants;

public class DispatchConstants {
    public static final String QUEUE_BUILD = "queue_build";
    public static final String QUEUE_BUILD_NEED_END = "queue_build_need_end";
    public static final String EXCHANGE_BUILD = "exchange_build";
    public static final String ROUTE_BUILD = "build";
    public static final String ROUTE_BUILD_NEED_END = "build_need_end";
    public static final String EXCHANGE_BUILD_ABORT = "exchange_build_abort";
    public static final String ROUTE_BUILD_ABORT = "route_build_abort";
    public static final String QUEUE_BUILD_ABORT = "queue_build_abort";
    public static final String QUEUE_TASK_BEGIN = "queue_dispatch_vm_task_begin";
    public static final String QUEUE_TASK_END = "queue_dispatch_vm_task_end";
    public static final String QUEUE_TASK_NEDD_END = "queue_dispatch_vm_task_need_end";
    public static final String EXCHANGE_TASK = "exchange_vm_task";
    public static final String ROUTE_TASK_BEGIN = "dispatch_vm_task_begin";
    public static final String ROUTE_TASK_END = "dispatch_vm_task_end";
    public static final String ROUTE_TASK_NEDD_END = "dispatch_vm_task_need_end";
    // |Docker构建|最大并行构建量(maximum parallelism)/当前正在运行构建数量(Running):
    public static final String DOCKER_BUILD_VOLUME = "DockerBuildVolume";
    // |最大并行构建量(maximum parallelism)/当前正在运行构建数量(Running):
    public static final String MAXIMUM_PARALLELISM = "MaximumParallelism";
    public static final String UNLIMITED = "Unlimited"; // 无限制(unlimited), 注意负载(Attention)
    public static final String HEARTBEAT_TIME = "HeartbeatTime"; // 构建机最近心跳时间（heartbeat Time)
    public static final String DOCKER_WAS_RECENTLY_BUILT = "DockerWasRecentlyBuilt"; // |Docker构建|最近{0}次运行中的构建:
    public static final String WAS_RECENTLY_BUILT = "WasRecentlyBuilt"; // |最近{0}次运行中的构建:
    public static final String TASK_FETCHING_TIMEOUT = "TaskFetchingTimeout"; // 任务领取超过{0} 分钟没有启动, 可能存在异常，开始重置
    public static final String SCHEDULING_SELECTED_AGENT = "SchedulingSelectedAgent"; // 调度构建机(Scheduling selected Agent): {0}/{1}
    public static final String SEARCHING_AGENT = "SearchingAgent"; // 开始查找最近使用过并且当前没有任何任务的空闲构建机...
    public static final String MAX_BUILD_SEARCHING_AGENT = "MaxBuildSearchingAgent"; // 查找最近使用过并且未达到最大构建数的构建机...
    public static final String SEARCHING_AGENT_MOST_IDLE = "SearchingAgentMostIdle"; // 开始查找没有任何任务的空闲构建机...
    public static final String SEARCHING_AGENT_PARALLEL_AVAILABLE = "SearchingAgentParallelAvailable"; // 开始查找当前构建任务还没到达最大并行数构建机...
    public static final String NO_AGENT_AVAILABLE = "NoAgentAvailable"; // 没有可用Agent，等待Agent释放...
    public static final String ENV_BUSY = "EnvBusy"; // 构建环境并发保护，稍后重试...
    public static final String QUEUE_TIMEOUT_MINUTES = "QueueTimeoutMinutes"; //  构建环境无可分配构建机，等待超时（queue-timeout-minutes={0}）
    public static final String AGENT_IS_BUSY = "AgentIsBusy"; // 构建机繁忙，继续重试(Agent is busy)
    public static final String BUILD_AGENT_DETAIL_LINK_ERROR = "BuildAgentDetailLinkError"; // 构建机Agent详情链接
    public static final String ENV_WORKER_ERROR_IGNORE = "EnvWorkerErrorIgnore"; // 构建机环境中{0}节点启动构建进程失败，自动切换其他节点重试
    public static final String AGENT_REUSE_MUTEX_REDISPATCH = "agentReuseMuteXRedispatch"; // 构建机复用互斥，节点 {0} 已被 {1} 构建使用，重新调度
    // 构建机复用互斥，等待被依赖的节点 {0} 调度到具体节点后再进行复用调度
    public static final String AGENT_REUSE_MUTEX_WAIT_REUSED_ENV = "agentReuseMuteXWaitReusedEnv"; // 构建机复用互斥，等待被依赖的节点 {0} 调度到具体节点后再进行复用调度
    public static final String ENV_NODE_DISABLE = "EnvNodeDisable";
    public static final String THIRD_JOB_ENV_CURR = "ThirdJobEnvCurr"; // 当前环境下所有构建机并发{0}已经超过配置的{1},排队{2}分钟
    public static final String THIRD_JOB_NODE_CURR = "ThirdJobNodeCurr"; // 当前环境下所有节点运行任务都超过了配置的{0},排队{1}分钟
}
