package cd.casic.ci.process.api.process.pojo.pipeline;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.lang.model.type.ErrorType;

/**
 * @author by mianbin
 * @Classname SubPipelineStatus
 * @Description TODO
 * @Date 2025/3/31 17:52
 */
@Data
@Schema(title = "构建模型-ID")
public class SubPipelineStatus {
    @Schema(title = "子流水线状态", required = true)
    private String status;
    @Schema(title = "错误类型", required = false)
    private ErrorType errorType;
    @Schema(title = "错误码", required = false)
    private Integer errorCode;
    @Schema(title = "错误信息", required = false)
    private String errorMsg;
}
