package cd.casic.ci.process.api.process.pojo.report.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author by mianbin
 * @Classname ReportTypeEnum
 * @Description 该枚举类定义了报告的类型
 * @Date 2025/3/31 17:07
 */
@Getter
@AllArgsConstructor
public enum ReportTypeEnum {
    /**
     * 内部报告类型
     */
    INTERNAL("INTERNAL"),
    /**
     * 第三方报告类型
     */
    THIRDPARTY("THIRDPARTY");

    private final String value;
}
