package cd.casic.ci.process.api.process.pojo.setting;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.process.api.process.pojo.setting
 * @Project：ops-pro
 * @name：PipelineCommonSetting
 * @Date：2025/03/24 20:21
 * @Filename：PipelineCommonSetting
 * @description：Todo
 */
@Data
@Schema(title = "流水线公共配置信息")
public class PipelineCommonSetting {
    @Schema(title = "每条流水线最大stage个数", required = true)
    private int maxStageNum;
    @Schema(title = "流水线stage公共配置信息", required = true)
    private StageCommonSetting stageCommonSetting;
}
