package cd.casic.ci.process.api.process.pojo.template;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.template
 * @Project：ops-pro
 * @name：TemplateCompareModelResult
 * @Date：2025/03/24 18:59
 * @Filename：TemplateCompareModelResult
 * @description：Todo
 */
@Data
public class TemplateCompareModelResult {
    @Schema(title = "版本列表", required = false)
    private List<TemplateVersion> versions;
    @Schema(title = "来源模板模型", required = false)
    private TemplateCompareModel origin;
    @Schema(title = "目标模板模型", required = false)
    private TemplateCompareModel target;
}
