package cd.casic.ci.process.api.process.pojo.trigger;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonSubTypes;
import com.fasterxml.jackson.annotation.JsonTypeInfo;
import io.swagger.v3.oas.annotations.media.Schema;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.trigger
 * @Project：ops-pro
 * @name：PipelineTriggerReasonDetail
 * @Date：2025/03/24 17:27
 * @Filename：PipelineTriggerReasonDetail
 * @description：Todo
 */

@JsonTypeInfo(use = JsonTypeInfo.Id.NAME, include = JsonTypeInfo.As.PROPERTY, property = "@type")
@JsonSubTypes({
        @JsonSubTypes.Type(value = PipelineTriggerFailedMatch.class, name = "match"),
        @JsonSubTypes.Type(value = PipelineTriggerFailedErrorCode.class, name = "errorCode"),
        @JsonSubTypes.Type(value = PipelineTriggerFailedMsg.class, name = "msg"),
        @JsonSubTypes.Type(value = PipelineTriggerFailedFix.class, name = "fix")
})
@Schema(title = "流水线触发事件原因详情-基类")
public interface PipelineTriggerReasonDetail {
    @JsonIgnore
    List<String> getReasonDetailList();
}
