package cd.casic.pipeline.store.pojo.atom;

import cd.casic.pipeline.store.pojo.common.MarketItem;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "插件市场搜索插件返回报文")
public class MarketAtomResp {
    @Schema(title = "总记录数")
    private Integer count;
    @Schema(title = "当前页码值")
    private Integer page;
    @Schema(title = "每页记录大小")
    private Integer pageSize;
    @Schema(title = "数据集合")
    private List<MarketItem> records;
}