package cd.casic.pipeline.store.pojo.common;

import cd.casic.pipeline.store.pojo.common.media.MediaInfoReq;
import cd.casic.pipeline.store.pojo.common.visible.DeptInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "研发商店-组件发布信息修改请求报文体")
public class StoreReleaseInfoUpdateRequest {
    @Schema(title = "媒体信息", required = false)
    private List<MediaInfoReq> mediaInfoList;
    
    @Schema(title = "机构列表", required = true)
    private List<DeptInfo> deptInfoList;
}