package cd.casic.plugin.event;

import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationEvent;

/**
 * @Author：mianbin
 * @Package：cd.casic.plugin.event
 * @Project：ops
 * @name：OpsMainAppReadyEvent
 * @Date：2024/03/22 10:29
 * @Filename：OpsMainAppReadyEvent
 * @description：主程序启动完毕，此事件发布到插件应用程序,此时，插件还未启动
 */
public class OpsMainAppReadyEvent extends ApplicationEvent {

    public OpsMainAppReadyEvent(ApplicationContext mainApplicationContext) {
        super(mainApplicationContext);
    }
}
