package cd.casic.ci.common.pipeline.pojo.element.trigger;

import cd.casic.ci.common.pipeline.pojo.element.Element;
import cd.casic.ci.common.pipeline.pojo.element.ElementProp;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.element.trigger
 * @Project：ops-pro
 * @name：WebHookTriggerElement
 * @Date：2025/03/27 9:59
 * @Filename：WebHookTriggerElement
 * @description：Todo
 */
@Accessors(chain = true)
@Schema(title = "Webhook基础类")
public abstract class WebHookTriggerElement extends Element {
    public WebHookTriggerElement(String name, String id, String status) {
        //super(name, id, status);
    }

    public List<ElementProp> triggerCondition() {
        return List.of();
    }

    public String joinToString(List<String> list) {
        return list == null || list.isEmpty() ? "" : String.join(",", list);
    }
}
