package cd.casic.pipeline.environment.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.List;

@Getter
@AllArgsConstructor
@Schema(title = "agent流水线引用请求")
public class AgentPipelineRefRequest {
    @Schema(title = "action", required = true)
    private final String action;

    @Schema(title = "pipelineId", required = true)
    private final String pipelineId;

    @Schema(title = "PipelineId", required = true)
    private final List<AgentPipelineRefInfo> pipelineRefInfos;
} 