package cd.casic.ci.process.api.engine.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Set;

/**
 * @author by mianbin
 * @Classname HeartBeatInfo
 * @Description TODO
 * @Date 2025/3/31 15:22
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Schema(title = "心跳信息")
public class HeartBeatInfo {
    @Schema(title = "项目ID")
    private String projectId;
    @Schema(title = "构建ID")
    private String buildId;
    @Schema(title = "项目ID")
    private String vmSeqId;
    @Schema(title = "取消的task任务的id集合")
    private Set<String> cancelTaskIds = null;
}
