package cd.casic.pipeline.store.api.atom;

import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.store.pojo.atom.MarketAtomClassify;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Tag(name = "USER_MARKET_ATOM_CLASSIFY", description = "插件市场-插件分类")
@RestController
@RequestMapping("/user/market/atom/classifys")
public interface UserMarketAtomClassifyResource {

    @Operation(summary = "获取所有插件分类信息")
    @GetMapping("/")
    CommonResult<List<MarketAtomClassify>> getAllAtomClassifys();
}