package cd.casic.pipeline.store.pojo.app;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "容器编译环境信息")
public class ContainerAppInfo {
    @Schema(title = "编译环境基本信息", required = true)
    private ContainerApp containerApp;
    @Schema(title = "编译环境变量信息", required = true)
    private List<ContainerAppEnv> containerAppEnvList;
    @Schema(title = "编译环境版本信息", required = true)
    private List<ContainerAppVersion> containerAppVersionList;
}